Subject: [bug#60042] What to call pinned package versions

From: Ludovic Courtès <[email-masked]>
Date: Wed, 11 Jan 2023 18:26:14 +0100

Hi,

Simon Tournier <[email-masked]> skribis:

> On ven., 06 janv. 2023 at 23:55, Ludovic Courtès <[email-masked]> wrote:
>
>>> Here, the suffix /fixed is confusing because it is used for the both
>>> cases:
>>>
>>>  1) You use fixed to describe something which stays the same and does not
>>>     or cannot vary.
>>>  2) If you fix a problem or a bad situation, you deal with it and make it
>>>     satisfactory.
>>
>> I know, English…  :-)
>>
>> The first instance of this pattern was ‘guile/fixed’, probably 10 years
>> ago, so I guess it takes precedence.
>>
>> But maybe we could agree on ‘/pinned’ instead and adjust code
>> accordingly?
>
> Sorry, I miss your suggestion. :-)
>
> From my understanding:
>
>  + Option a.
>
> version-control.scm:673:(define-public git-minimal/fixed -> git-minimal/pinned
> linux.scm:7674:         (define-public libnftnl/fixed    -> libnftnl/pinned
> samba.scm:295:          (define-public samba/fixed       -> samba/pinned
> guile.scm:424:          (define-public guile-3.0/fixed   -> guile-3.0/pinned
>
>  + Option b.
>
> onc-rpc.scm:91:         (define libtirpc/fixed          -> libtirpc/grafted
> gnupg.scm:257:          (define libksba/fixed           -> libksba/grafted
> gnupg.scm:369:          (define gnupg/fixed             -> gnupg/grafted
> linux.scm:2164:         (define-public util-linux/fixed -> util-linux/grafted
> tls.scm:601:            (define openssl/fixed           -> openssl/grafted
> xml.scm:159:            (define expat/fixed             -> expat/grafted
> compression.scm:1890:   (define unzip/fixed             -> unzip/grafted
>
>  + Option c. = option a. + option b. (remove reference to /fixed)

I’m for Option a.

Would you like to submit a patch?

Ludo’.